#ifndef __SM_PBLK__
#define __SM_PBLK__

#ifdef __cplusplus
extern "C" {
#endif

/*
 * 功能说明: 将虚拟机二进制程序添加至程序黑名单中
 * 参数说明: path: 虚拟机二进制文件路径
 * 返回值:   0：成功,
 *           1：已存在,
 *           其他: 失败
 */

int pblk_policy_add(char *path);

/*
 * 功能说明: 将虚拟机二进制程序从程序黑名单中移除
 * 参数说明: path: 虚拟机二进制文件路径
 * 返回值:   0：成功,
 *           其他: 失败
 */

int pblk_policy_remove(char *path);

/*
 * 功能说明: 读取所有节点信息
 * 参数说明: count: 记录数量
 * 返回值:   NULL: 失败或记录不存在,
             其他: 成功，配置信息数组
 */
char **pblk_read_all_data(int *count);

#ifdef __cplusplus
}
#endif

#endif
